Module org.apache.sis.metadata
Package org.apache.sis.metadata.iso.quality

# Class DefaultDescriptiveResult

Object
AbstractMetadata
ModifiableMetadata
ISOMetadata
AbstractResult
DefaultDescriptiveResult

All Implemented Interfaces:
  `Serializable`, `Emptiable`, `LenientComparable`, `IdentifiedObject`, `Result`

@UML(identifier="DQ_DescriptiveResult", specification=UNSPECIFIED) public class DefaultDescriptiveResult extends AbstractResult
Data quality descriptive result. The following properties are mandatory in a well-formed metadata according ISO 19157:
`DQ_DescriptiveResult` `└─statement……………` textual expression of the descriptive result.

## Limitations

- Instances of this class are not synchronized for multi-threading. Synchronization, if needed, is caller's responsibility.
- Serialized objects of this class are not guaranteed to be compatible with future Apache SIS releases. Serialization support is appropriate for short term storage or RMI between applications running the same version of Apache SIS. For long term storage, use `XML` instead.

Since:
  1.3
See Also:
  - Serialized Form

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ModifiableMetadata

  `ModifiableMetadata​.State`

- ## Field Summary

  ### Fields inherited from class ISOMetadata

  `identifiers`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultDescriptiveResult()`
  Constructs an initially empty descriptive result.
  `DefaultDescriptiveResult(CharSequence text)`
  Creates a conformance result initialized to the given values.
  `DefaultDescriptiveResult(DefaultDescriptiveResult object)`
  Constructs a new instance initialized with the values from the specified metadata object.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `MetadataStandard`
  `getStandard()`
  Returns the metadata standard, which is ISO 19157.
  `InternationalString`
  `getStatement()`
  Returns the textual expression of the descriptive result.
  `void`
  `setStatement(InternationalString newValue)`
  Sets the textual expression of the descriptive result.

  ### Methods inherited from class AbstractResult

  `castOrCopy, getDateTime, getResultScope, setDateTime, setResultScope`

  ### Methods inherited from class ISOMetadata

  `getIdentifier, getIdentifierMap, getIdentifiers, setIdentifier, transitionTo`

  ### Methods inherited from class ModifiableMetadata

  `checkWritePermission, collectionType, copyCollection, copyList, copyMap, copySet, deepCopy, nonNullCollection, nonNullList, nonNullMap, nonNullSet, singleton, state, writeCollection, writeList, writeMap, writeSet`

  ### Methods inherited from class AbstractMetadata

  `asMap, asTreeTable, equals, equals, getInterface, hashCode, isEmpty, prune, toString`

  ### Methods inherited from class Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### DefaultDescriptiveResult

    public DefaultDescriptiveResult()
    Constructs an initially empty descriptive result.

  - ### DefaultDescriptiveResult

    public DefaultDescriptiveResult(CharSequence text)
    Creates a conformance result initialized to the given values.
    Parameters:
      `text` - statement against which data is being evaluated, or `null`.

  - ### DefaultDescriptiveResult

    public DefaultDescriptiveResult(DefaultDescriptiveResult object)
    Constructs a new instance initialized with the values from the specified metadata object. This is a shallow copy constructor, because the other metadata contained in the given object are not recursively copied.
    Parameters:
      `object` - the metadata to copy values from, or `null` if none.

- ## Method Details

  - ### getStatement

    @UML(identifier="statement", obligation=MANDATORY, specification=UNSPECIFIED) public InternationalString getStatement()
    Returns the textual expression of the descriptive result.
    Returns:
      textual expression of the result.

  - ### setStatement

    public void setStatement(InternationalString newValue)
    Sets the textual expression of the descriptive result.
    Parameters:
      `newValue` - the new expression.

  - ### getStandard

    public MetadataStandard getStandard()
    Returns the metadata standard, which is ISO 19157.
    Overrides:
      `getStandard` in class `ISOMetadata`
    Returns:
      the metadata standard, which is ISO 19157.